<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: pytools/magpar_scripts.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_b2edde888cd1578cfb9c7cf94f5f0a3e.html">pytools</a>
  </div>
</div>
<div class="contents">
<h1>magpar_scripts.py File Reference</h1>
<p><a href="magpar__scripts_8py_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Vector.html">magpar_scripts::Vector</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html">magpar_scripts::TestVectorClass</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Line.html">magpar_scripts::Line</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestLineClass.html">magpar_scripts::TestLineClass</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Segment.html">magpar_scripts::Segment</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Polygon.html">magpar_scripts::Polygon</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestPolygonClass.html">magpar_scripts::TestPolygonClass</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestBiotSavart.html">magpar_scripts::TestBiotSavart</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Test__external__field__wire.html">magpar_scripts::Test_external_field_wire</a></td></tr>
<tr><td colspan="2"><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html">magpar_scripts</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#aa6c2446790d2a3246c978b424e95ff2f">magpar_scripts::initialize_magnetization_mx</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a4e3f9a1d603184f9ff136e46d26598e9">magpar_scripts::initialize_magnetization_my</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a9f9dc713515bf6c1a96df980e343da19">magpar_scripts::initialize_magnetization_mz</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a2b4ce44119d522c3eb7f5161aa80966c">magpar_scripts::initialize_magnetization_111</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a54dedbc6e382fb7d003d37a63ff94115">magpar_scripts::initialize_magnetization_theta_rad</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a273ab57aa9481ae61e59b240b24c8e03">magpar_scripts::initialize_magnetization_theta_deg</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a5cdd1eae379f26c9720c49dec83d012d">magpar_scripts::initialize_magnetization_phi_rad</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a85c04402596d19d113d048880d0b49e9">magpar_scripts::initialize_magnetization_phi_deg</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#af4f8c8f2600255797109042d0aaced26">magpar_scripts::initialize_magnetization_random</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#afce9532d1437fcbe8bca5ae719dc9860">magpar_scripts::initialize_magnetization_flower</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a8a35f5cfdbb621da73fe2958051e1172">magpar_scripts::vortex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a93fd61ba10b8db75116747a4f4c72435">magpar_scripts::initialize_magnetization_vortex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a06006b1162487783c82d6fd5fca08ccc">magpar_scripts::initialize_magnetization_blochwall</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a13a5d8863f1e50544998dcef58cebb77">magpar_scripts::initialize_magnetization_head_to_head_transverse</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a08d423bc675643daeeb49ec057efe98f">magpar_scripts::initialize_magnetization_head_to_head_vortex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a2f04a438f7720f937e54b26735f5a27f">magpar_scripts::external_field_homogeneous</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#afe500c0fa5ce5db6b713d879d674236f">magpar_scripts::external_field_time_scaling</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#aa122a311e0946575a7075f09eebf67d4">magpar_scripts::test_straight_poly</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a1eb54de263be89953a71f0d2a57727d1">magpar_scripts::biot_savart</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a8486bf09c2c0387de3cb167c33ea95e3">magpar_scripts::field_of_wire_slow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a8b2a12e6a0a5e451cd66a8ee0ccde750">magpar_scripts::field_of_wire</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#af64bef2d33cf392cfaf3e0d2fdfaedf3">magpar_scripts::initmag</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a4889fc687075408e47586441d78bc2bc">magpar_scripts::hext_xyz2</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#aeeee98d34a6b07b9887f1f17f32e4cfb">magpar_scripts::hext_xyzt</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a9a780374934c6a43567623106e9bd930">magpar_scripts::timing</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#ab313689e503e5184361832ec84f8bb9e">magpar_scripts::test_function_2col</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a73c362a0a7f24f6d51c3f0160e784e46">magpar_scripts::misc3</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a59d1a14482e403787445cdd72729eb36">magpar_scripts::wire_z</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#acec0f7080ab7b20ede1339ea10a5af09">magpar_scripts::hext_f</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a83afadbbc6cc100df4bbaa185748b0db">magpar_scripts::hext_xyz</a></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">tuple&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a40a8f3ca93e972521b5a7c8ed44eb2d8">magpar_scripts::coils</a> = wire_z()</td></tr>
</table>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

